• Priority: High
  • Status: Waiting on customer
  • Theme: Alysum
  • Assigned To: Fred
  • Private: No
  • Open Date: 30.07.20, 14:29
  • Opened by: Rafael Robledo

Ticket #18736 - When I updated to 5.5.1 I get a 500 error

Hi,

I have the template with version version 3.8 and it works correctly, as soon as I copy the modules and template 5.5.1 it gives error and I have to restore everything. my php version is 7.2.32

thanks!!

Comments

Fred 30 Jul 2020, 14:46

Hi, Rafael.
Where I can see the issue? it's hard to say what was wrong there

Rafael Robledo 30 Jul 2020, 14:59

I can upload the modules and template with compilation and cache to no and reproduce the error. when this happens i can't access

Rafael Robledo 02 Aug 2020, 18:52

I hace Update to 5.5.1 template and my site not working I get 500 error, it is important since it is a store that is in production

thanks!!

Fred 03 Aug 2020, 10:20

What is your back office link? this one doesn't work for me http://www.veneciacatering.com/ps_admin

Rafael Robledo 03 Aug 2020, 10:39

Yes, this is. Always when I update the template version all my web (front and backoffice) doesnt work. I tried for 4 times and is impossible. What do you need for help me??

Is urgent!!

Thanks

Rafael Robledo 03 Aug 2020, 10:45

the apache.error.log

'PHP message: PHP Warning: require_once(/usr/home/veneciacatering/www/modules/ph_simpleblog/models/SimpleBlogPostAuthor.php): failed to open stream: No such file or directory in /usr/home/veneciacatering/www/modules/ph_simpleblog/ph_simpleblog.php on line 19\nPHP message: PHP Fatal error: require_once(): Failed opening required '/usr/home/veneciacatering/www/modules/ph_simpleblog/models/SimpleBlogPostAuthor.php' (include_path='/usr/home/veneciacatering/www/vendor/pear/pear_exception:/usr/home/veneciacatering/www/vendor/pear/console_getopt:/usr/home/veneciacatering/www/vendor/pear/pear-core-minimal/src:/usr/home/veneciacatering/www/vendor/pear/archive_tar:.:/opt/php-7.2/lib/php') in /usr/home/veneciacatering/www/modules/ph_simpleblog/ph_simpleblog.php on line 19\n'

Fred 03 Aug 2020, 11:07

Give me a moment

Fred 03 Aug 2020, 11:38

Please disable Opcache module in your sever configuration, it doesn't allow to use updated .php files

Rafael Robledo 03 Aug 2020, 12:11

I just disabled it, you can already try

Fred 03 Aug 2020, 13:31

Now all seems works fine. Please test it out

Rafael Robledo 03 Aug 2020, 13:47

is theme 5.5.1 ?? in backoffice puts 5.3.1. Which are the problem??

Thanks!!

Fred 03 Aug 2020, 13:49

you have 5.5.1 now https://take.ms/z4U02

Rafael Robledo 03 Aug 2020, 13:59

Thank you very much!!

what was the problem? Why couldn't I update it?

Fred 03 Aug 2020, 14:00

that is a "hard" update what requires assistance. Hard to explain what exactly was wrong

Rafael Robledo 03 Aug 2020, 17:27

Hi,
I am testing and the shopping cart does not work, it did not use a header builder in settings and now it does not show other headers, if I use it not does it save the changes in header builder like the phone, ...

Can you help me?? thanks

Fred 04 Aug 2020, 14:07

Shopping cart works fine for me https://take.ms/SBSsa

Try to clear prestashop cache in case you don't see changes you make before